#!/usr/bin/env node
export type availableTemplate = 'node' | string;
type initConfig = {
    snpCatalog: string;
    template: availableTemplate | string;
    sUpdaterVersion: string;
    projectCatalog: string;
    temporaryFolder: string;
};
type buildConfig = initConfig & {
    fileMap: {
        fileMap: string[];
        files: Record<string, string[]>;
    };
};
export declare const init: (args: string[]) => Promise<initConfig>;
export declare const createConfigFile: (config: initConfig) => Promise<initConfig>;
export declare const downloadRemoteConfig: (config: initConfig) => Promise<buildConfig>;
export declare const buildConfig: (config: buildConfig) => Promise<buildConfig>;
export declare const cleanUp: (config: buildConfig) => Promise<any>;
export {};
