import { __require as requireStringify } from './stringify.mjs';
import { __require as requireParse } from './parse.mjs';
import { __require as requireFormats } from './formats.mjs';

var lib;
var hasRequiredLib;

function requireLib () {
	if (hasRequiredLib) return lib;
	hasRequiredLib = 1;

	var stringify = requireStringify();
	var parse = requireParse();
	var formats = requireFormats();

	lib = {
	    formats: formats,
	    parse: parse,
	    stringify: stringify
	};
	return lib;
}

export { requireLib as __require };
