/**
 * Checks if a folder exists at the given path.
 * If the folder does not exist and createFolder is true, it creates the folder.
 * @param {string} folderPath - The path of the folder to check.
 * @param {boolean} createFolder - If true, create the folder if it doesn't exist.
 * @returns {Promise<boolean>} - Returns true if the folder exists or is created successfully, otherwise false.
 */
export declare function isFolderExist({ folderPath, createFolder, }: {
    folderPath: string;
    createFolder: boolean;
}): Promise<boolean>;
